---
title: "Retrieve Remitter Details"
source_url: https://docs.rapyd.net/en/retrieve-remitter-details.html
lang: en
---

# Retrieve Remitter Details

> **Note:**
>
> This endpoint is **deprecated**. See [Retrieve Virtual Account Transaction](https://docs.rapyd.net/en/retrieve-virtual-account-transaction.md "Retrieve Virtual Account Transaction").
>
> Rapyd no longer supports the deprecated endpoint.

Retrieve the details of the remitter of a transfer to a virtual account.

### Parameters

### Request Path Parameters

- - virtual_account
  - ID of the virtual account. String starting with **issuing_**.
- - issuing_transaction_id
  - ID of the transaction. String starting with **isutran_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - account_name
  - Name of the bank account holder.
- - account_number
  - Number of the bank account.
- - amount
  - The amount of the transaction, in units of the currency defined in `currency`.
- - bank_code
  - Bank identifier code, such as SWIFT, BIC, or ABA.
- - bank_name
  - Name of the bank.
- - country
  - The two-letter ISO 3166-1 ALPHA-2 code for the country.
- - created_at
  - Time of creation of the transaction, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - created_at_gw
  - Time of the transfer.
- - currency
  - Currency for the virtual account or the transaction. Three-letter ISO 4217 code.
- - iban
  - IBAN of the remitter's account.
- - id
  - ID of the transfer transaction. UUID.
- - partner_transaction_id
  - ID that is assigned by the client to the transaction.
- - receiving_iban
  - IBAN that was assigned to the Rapyd Wallet.
- - remitter_reference
  - Information that the remitter adds to the transaction, intended for the beneficiary. Supported by some payment methods.

    > **Note:**
    >
    > In production, the `remitter_information` fields are sometimes unavailable.
- - sort_code
  - Reserved.
- - status
  - Indicates the status of the transfer.

    - **ACT** - Active.
    - **ACSC** - [Accepted and settlement confirmed](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_acsc "Accepted and settlement confirmed").
- - updated_at
  - Time of last update of the bank transfer, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").

- /v1/issuing/bankaccounts/remitters/:virtual_account/transactions/:issuing_transaction_id

- Retrieve Remitter Details
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/issuing/bankaccounts/remitters/issuing_d11d404c919519c66ac61e14389f766a/transactions/isutran_5723bff74b280fb0e7a87ac17b87c5cb' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "93e71afc-f3ed-4612-9976-df82752b2f8c"
      },
      "data": {
          "id": "b22d4397-5908-43c4-a6c2-4822fef2688b",
          "amount": "100.25000",
          "currency": "EUR",
          "country": null,
          "remitter_reference": null,
          "partner_transaction_id": "T85SWIC025327",
          "status": "",
          "created_at_gw": "2026-01-19T12:49:27.000Z",
          "updated_at": 1768826967,
          "created_at": 1768826967,
          "iban": null,
          "account_name": null,
          "sort_code": null,
          "account_number": null,
          "receiving_iban": "SK5933384660426474792182",
          "bank_code": "",
          "bank_name": "",
          "bic_swift": null
      }
  }
  ```
